Package com.logicaldoc.core.threading

# Class MonitoredCallable<V>

java.lang.Object
com.logicaldoc.core.threading.MonitoredCallable<V>

Type Parameters:
  `V` - Type of callable

All Implemented Interfaces:
  `Callable<V>`

public abstract class MonitoredCallable<V> extends Object implements Callable<V>
A callable that is identified by a unique name and whose running statyus is monitorable

Since:
  9.2.2
Author:
  Marco Meschieri - LogicalDOC

## Method Summary

Modifier and Type
Method
Description
`V`
`call()`
`String`
`getName()`
`boolean`
`isRunning()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### getName

public String getName()

### isRunning

public boolean isRunning()

### call

public V call()

Specified by:
  `call` in interface `Callable<V>`

### toString

public String toString()

Overrides:
  `toString` in class `Object`